## com.lowagie.toolbox.arguments
Class StringArgument

    java.lang.Object
      com.lowagie.toolbox.arguments.AbstractArgument
          com.lowagie.toolbox.arguments.StringArgument

All Implemented Interfaces:
  java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.util.EventListener

    public class StringArgument

extends AbstractArgument

This is an argument of one of the tools in the toolbox.

Since:
  2.1.1 (imported from itexttoolbox project)

Field Summary

Fields inherited from class com.lowagie.toolbox.arguments.AbstractArgument
`description, name, pcs, tool, value`

Constructor Summary
`StringArgument()` Constructs a StringArgument.
`StringArgument(AbstractTool tool, java.lang.String name, java.lang.String description)` Constructs a StringArgument.

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`

Methods inherited from class com.lowagie.toolbox.arguments.AbstractArgument
`addPropertyChangeListener, firePropertyChange, getArgument, getDescription, getName, getTool, getUsage, getValue, propertyChange, removePropertyChangeListener, setDescription, setName, setTool, setValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringArgument

    public StringArgument()

  Constructs a StringArgument.

### StringArgument

    public StringArgument(AbstractTool tool,
                          java.lang.String name,
                          java.lang.String description)

  Constructs a StringArgument.

  Parameters:
    `tool` - the tool that needs this argument
    `name` - the name of the argument
    `description` - the description of the argument

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Specified by:
    `actionPerformed` in class `AbstractArgument`
  Parameters:
    `e` - ActionEvent
  See Also:
    `ActionListener.actionPerformed(java.awt.event.ActionEvent)`

Hosted by Hostbasket